### Constructor

# Gio BytesIcon new

since: 2.38

#### Declaration [src]

    GIcon*
    g_bytes_icon_new (
      GBytes* bytes
    )

#### Description [src]

Creates a new icon for a bytes.

This cannot fail, but loading and interpreting the bytes may fail later on (for example, if `g_loadable_icon_load()` is called) if the image is invalid.

Available since: 2.38

#### Parameters

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `GBytesIcon`

A `GIcon` for the given `bytes`.

The caller of the function takes ownership of the data, and is responsible for freeing it.